package org.micord.models;

import org.micord.enums.RequestArgumentType;

import jakarta.xml.bind.annotation.XmlAttribute;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import lombok.Setter;

/**
 * @author Maksim Tereshin
 */
@Setter
@XmlRootElement(name = "RequestArgument")
public class RequestArgument {

	private RequestArgumentType type;
	private String requestArgumentName;;
	private String requestArgumentURL;
	private SqlConnectionParams requestArgumentConnectionParams;

	@XmlAttribute(name = "type")
	public RequestArgumentType getType() {
		return type;
	}

	@XmlElement(name = "RequestArgumentName")
	public String getRequestArgumentName() {
		return requestArgumentName;
	}

	@XmlElement(name = "RequestArgumentURL")
	public String getRequestArgumentURL() {
		return requestArgumentURL;
	}

	@XmlElement(name = "RequestArgumentConnectionParams")
	public SqlConnectionParams getRequestArgumentConnectionParams() {
		return requestArgumentConnectionParams;
	}

}
